/*
 * JAWStats 0.7 Web Statistics
 *
 * Copyright (c) 2009 Jon Combe (jawstats.com)
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

// JAWStats constants
var g_iMajorVersion = 0;
var g_iMinorVersion = 7;
var oSubMenu = {};
oSubMenu.AllMonths  = { "Visitors each Month"                    : "allmonths.all",
                        "Visitors each Year"                     : "allmonths.year" };
oSubMenu.Browser    = { "Browser Families"                       : "browser.family",
                        "All Browsers"                           : "browser.all" };
oSubMenu.Country = {    "Countries"                              : "country.all",
                        "Continents"                             : "country.continent",
                        "Africa"                                 : "country.Africa",
                        "Asia"                                   : "country.Asia",
                        "Europe"                                 : "country.Europe",
                        "North America"                          : "country.North America",
                        "Oceania"                                : "country.Oceania",
                        "South America"                          : "country.South America",
                        "Other"                                  : "country.Other" };
oSubMenu.OS         = { "Operating System Families"              : "os.family",
                        "All Operating Systems"                  : "os.all" };
oSubMenu.PageRefs   = { "Search Engines"                         : "pagerefs.se",
                        "Top 10 Referrers"                       : "pagerefs.top10",
                        "Top 50 Referrers"                       : "pagerefs.top50",
                        "All Referrers"                          : "pagerefs.all",
                        "Referring Domains"                      : "pagerefs.domains" };
oSubMenu.Pages      = { "Top Page Views"                         : "pages.topPages",
                        "Top Bandwidth"                          : "pages.topBW",
                        "Top Entry Pages"                        : "pages.topEntry",
                        "Top Exit Pages"                         : "pages.topExit" };
oSubMenu.Searches   = { "Keywords"                               : "searches.keywords",
                        "Keyphrases"                             : "searches.keyphrases",
                        "Keywords Tag Cloud"                     : "searches.keywordcloud",
                        "Keyphrases Tag Cloud"                   : "searches.keyphrasecloud" };
oSubMenu.Status     = { "Status Codes"                           : "status",
                        "File Not Found URLs"                    : "status.404" };
oSubMenu.ThisMonth = {  "Overview"                               : "thismonth.all",
                        "Calendar of Visitors"                   : "thismonth.visits",
                        "Calendar of Page Views"                 : "thismonth.pages",
                        "Calendar of Hits"                       : "thismonth.hits",
                        "Calendar of Bandwidth Usage"            : "thismonth.bandwidth" };

// data constants
var gc_aContinents = { "Africa":0, "Asia":0, "Europe":0, "North America":0, "Oceania":0, "South America":0 };
var gc_aBrowserFamily = [ { sBrowser:"camino", iHits:0, sImage:"unknown" },
                          { sBrowser:"firefox", iHits:0, sImage:"unknown" },
                          { sBrowser:"icab", iHits:0, sImage:"unknown" },
                          { sBrowser:"konqueror", iHits:0, sImage:"unknown" },
                          { sBrowser:"libwww", iHits:0, sImage:"unknown" },
                          { sBrowser:"lotus\\-notes", iHits:0, sImage:"unknown" },
                          { sBrowser:"mozilla", iHits:0, sImage:"unknown" },
                          { sBrowser:"msie", iHits:0, sImage:"unknown" },
                          { sBrowser:"netscape", iHits:0, sImage:"unknown" },
                          { sBrowser:"omniweb", iHits:0, sImage:"unknown" },
                          { sBrowser:"opera", iHits:0, sImage:"unknown" },
                          { sBrowser:"safari", iHits:0, sImage:"unknown" },
                          { sBrowser:"wget", iHits:0, sImage:"unknown" },
                          { sBrowser:"Unknown", iHits:0, sImage:"unknown" },
                          { sBrowser:"Other Browsers", iHits:0, sImage:"unknown" } ]
var gc_aBrowserFamilyCaption = { "camino":"Camino", "firefox":"Firefox", "icab":"iCab", "konqueror":"Konqueror", "libwww":"Libwww", "lotus\\-notes":"Lotus Notes", "mozilla":"Mozilla", "msie":"Internet Explorer", "netscape":"Netscape", "omniweb":"OmniWeb", "opera":"Opera", "safari":"Safari", "wget":"GNU Wget", "Unknown":"Unknown", "Other Browsers":"Other Browsers" }

// http://en.wikipedia.org/wiki/List_of_countries_by_continent
var gc_aCountryContinent = {
  "af":"Asia",
  "ax":"Europe",
  "al":"Europe",
  "dz":"Africa",
  "as":"Oceania",
  "ad":"Europe",
  "ao":"Africa",
  "ai":"North America",
  "aq":"Antarctica",
  "ag":"North America",
  "ar":"South America",
  "am":"Europe",
  "aw":"North America",
  "au":"Oceania",
  "at":"Europe",
  "az":"Asia",
  "bs":"North America",
  "bh":"Asia",
  "bd":"Asia",
  "bb":"North America",
  "by":"Europe",
  "be":"Europe",
  "bz":"North America",
  "bj":"Africa",
  "bm":"North America",
  "bt":"Asia",
  "bo":"South America",
  "ba":"Europe",
  "bw":"Africa",
  "bv":"Antarctica",
  "br":"South America",
  "io":"Asia",
  "bn":"Asia",
  "bg":"Europe",
  "bf":"Africa",
  "bi":"Africa",
  "kh":"Asia",
  "cm":"Africa",
  "ca":"North America",
  "cv":"Africa",
  "ky":"North America",
  "cf":"Africa",
  "td":"Africa",
  "cl":"South America",
  "cn":"Asia",
  "cx":"Asia",
  "cc":"Asia",
  "co":"South America",
  "km":"Africa",
  "cg":"Africa",
  "cd":"Africa",
  "ck":"Oceania",
  "cr":"North America",
  "ci":"Africa",
  "hr":"Europe",
  "cu":"North America",
  "cy":"Europe",
  "cz":"Europe",
  "dk":"Europe",
  "dj":"Africa",
  "dm":"North America",
  "do":"North America",
  "ec":"South America",
  "eg":"Africa",
  "sv":"North America",
  "gq":"Africa",
  "er":"Africa",
  "ee":"Europe",
  "et":"Africa",
  "fk":"South America",
  "fo":"Europe",
  "fj":"Oceania",
  "fi":"Europe",
  "fr":"Europe",
  "gf":"South America",
  "pf":"Oceania",
  "tf":"Antartica",
  "ga":"Africa",
  "gm":"Africa",
  "ge":"Europe",
  "de":"Europe",
  "gh":"Africa",
  "gi":"Europe",
  "gr":"Europe",
  "gl":"North America",
  "gd":"North America",
  "gp":"North America",
  "gu":"Oceania",
  "gt":"North America",
  "gg":"Europe",
  "gn":"Africa",
  "gw":"Africa",
  "gy":"South America",
  "ht":"North America",
  "hm":"Antarctica",
  "hn":"North America",
  "hk":"Asia",
  "hu":"Europe",
  "is":"Europe",
  "in":"Asia",
  "id":"Asia",
  "ir":"Asia",
  "iq":"Asia",
  "ie":"Europe",
  "im":"Europe",
  "il":"Asia",
  "it":"Europe",
  "jm":"North America",
  "jp":"Asia",
  "je":"Europe",
  "jo":"Asia",
  "kz":"Asia",
  "ke":"Africa",
  "ki":"Oceania",
  "kp":"Asia",
  "kr":"Asia",
  "kw":"Asia",
  "kg":"Asia",
  "la":"Asia",
  "lv":"Europe",
  "lb":"Asia",
  "ls":"Africa",
  "lr":"Africa",
  "ly":"Africa",
  "li":"Europe",
  "lt":"Europe",
  "lu":"Europe",
  "mo":"Asia",
  "mk":"Europe",
  "mg":"Africa",
  "mw":"Africa",
  "my":"Asia",
  "mv":"Asia",
  "ml":"Africa",
  "mt":"Europe",
  "mh":"Oceania",
  "mq":"North America",
  "mr":"Africa",
  "mu":"Africa",
  "yt":"Africa",
  "mx":"South America",
  "fm":"Oceania",
  "md":"Europe",
  "mc":"Europe",
  "mn":"Asia",
  "me":"Europe",
  "ms":"North America",
  "ma":"Africa",
  "mz":"Africa",
  "mm":"Asia",
  "na":"Africa",
  "nr":"Oceania",
  "np":"Asia",
  "nl":"Europe",
  "an":"North America",
  "nc":"Oceania",
  "nz":"Oceania",
  "ni":"North America",
  "ne":"Africa",
  "ng":"Africa",
  "nu":"Oceania",
  "nf":"Oceania",
  "mp":"Oceania",
  "no":"Europe",
  "om":"Asia",
  "pk":"Asia",
  "pw":"Oceania",
  "ps":"Asia",
  "pa":"North America",
  "pg":"Oceania",
  "py":"South America",
  "pe":"South America",
  "ph":"Asia",
  "pn":"Oceania",
  "pl":"Europe",
  "pt":"Europe",
  "pr":"North America",
  "qa":"Asia",
  "re":"Africa",
  "ro":"Europe",
  "ru":"Asia",
  "rw":"Africa",
  "bl":"North America",
  "sh":"Africa",
  "kn":"North America",
  "lc":"North America",
  "mf":"North America",
  "pm":"North America",
  "vc":"North America",
  "ws":"Oceania",
  "sm":"Europe",
  "st":"Africa",
  "sa":"Asia",
  "sn":"Africa",
  "rs":"Europe",
  "sc":"Africa",
  "sl":"Africa",
  "sg":"Asia",
  "sk":"Europe",
  "si":"Europe",
  "sb":"Oceania",
  "so":"Africa",
  "za":"Africa",
  "gs":"Antarctica",
  "es":"Europe",
  "lk":"Asia",
  "sd":"Africa",
  "sr":"South America",
  "sj":"Europe",
  "sz":"Africa",
  "se":"Europe",
  "ch":"Europe",
  "sy":"Asia",
  "tw":"Asia",
  "tj":"Asia",
  "tz":"Africa",
  "th":"Asia",
  "tl":"Oceania",
  "tg":"Africa",
  "tk":"Oceania",
  "to":"Oceania",
  "tt":"North America",
  "tn":"Africa",
  "tr":"Asia",
  "tm":"Asia",
  "tc":"North America",
  "tv":"Oceania",
  "ug":"Africa",
  "ua":"Europe",
  "ae":"Asia",
  "gb":"Europe",
  "uk":"Europe",
  "um":"Oceania",
  "us":"North America",
  "uy":"South America",
  "uz":"Asia",
  "vu":"Oceania",
  "va":"Europe",
  "ve":"South America",
  "vn":"Asia",
  "vg":"North America",
  "vi":"North America",
  "wf":"Oceania",
  "eh":"Africa",
  "ye":"Asia",
  "zm":"Africa",
  "zw":"Africa",

  "eu":"Europe"
}

var gc_aCountryName = {
  "af":"Afghanistan",
  "ax":"Aland Islands",
  "al":"Albania",
  "dz":"Algeria",
  "as":"American Samoa",
  "ad":"Andorra",
  "ao":"Angola",
  "ai":"Anguilla",
  "aq":"Antarctica",
  "ag":"Antigua and Barbuda",
  "ar":"Argentina",
  "am":"Armenia",
  "aw":"Aruba",
  "au":"Australia",
  "at":"Austria",
  "az":"Azerbaijan",
  "bs":"Bahamas",
  "bh":"Bahrain",
  "bd":"Bangladesh",
  "bb":"Barbados",
  "by":"Belarus",
  "be":"Belgium",
  "bz":"Belize",
  "bj":"Benin",
  "bm":"Bermuda",
  "bt":"Bhutan",
  "bo":"Bolivia",
  "ba":"Bosnia and Herzegovina",
  "bw":"Botswana",
  "bv":"Bouvet Island",
  "br":"Brazil",
  "io":"British Indian Ocean Territory",
  "bn":"Brunei Darussalam",
  "bg":"Bulgaria",
  "bf":"Burkina Faso",
  "bi":"Burundi",
  "kh":"Cambodia",
  "cm":"Cameroon",
  "ca":"Canada",
  "cv":"Cape Verde",
  "ky":"Cayman Islands",
  "cf":"Central African Republic",
  "td":"Chad",
  "cl":"Chile",
  "cn":"China",
  "cx":"Christmas Island",
  "cc":"Cocos (Keeling) Islands",
  "co":"Colombia",
  "km":"Comoros",
  "cg":"Congo (Brazzaville)",
  "cd":"Congo (Kinshasa)",
  "ck":"Cook Islands",
  "cr":"Costa Rica",
  "ci":"Cote d'Ivoire",
  "hr":"Croatia",
  "cu":"Cuba",
  "cy":"Cyprus",
  "cz":"Czech Republic",
  "dk":"Denmark",
  "dj":"Djibouti",
  "dm":"Dominica",
  "do":"Dominican Republic",
  "ec":"Ecuador",
  "eg":"Egypt",
  "sv":"El Salvador",
  "gq":"Equatorial Guinea",
  "er":"Eritrea",
  "ee":"Estonia",
  "et":"Ethiopia",
  "fk":"Falkland Islands",
  "fo":"Faroe Islands",
  "fj":"Fiji",
  "fi":"Finland",
  "fr":"France",
  "gf":"French Guiana",
  "pf":"French Polynesia",
  "tf":"French Southern Lands",
  "ga":"Gabon",
  "gm":"Gambia",
  "ge":"Georgia",
  "de":"Germany",
  "gh":"Ghana",
  "gi":"Gibraltar",
  "gr":"Greece",
  "gl":"Greenland",
  "gd":"Grenada",
  "gp":"Guadeloupe",
  "gu":"Guam",
  "gt":"Guatemala",
  "gg":"Guernsey",
  "gn":"Guinea",
  "gw":"Guinea-Bissau",
  "gy":"Guyana",
  "ht":"Haiti",
  "hm":"Heard and McDonald Islands",
  "hn":"Honduras",
  "hk":"Hong Kong",
  "hu":"Hungary",
  "is":"Iceland",
  "in":"India",
  "id":"Indonesia",
  "ir":"Iran",
  "iq":"Iraq",
  "ie":"Ireland",
  "im":"Isle of Man",
  "il":"Israel",
  "it":"Italy",
  "jm":"Jamaica",
  "jp":"Japan",
  "je":"Jersey",
  "jo":"Jordan",
  "kz":"Kazakhstan",
  "ke":"Kenya",
  "ki":"Kiribati",
  "kp":"Korea, North",
  "kr":"Korea, South",
  "kw":"Kuwait",
  "kg":"Kyrgyzstan",
  "la":"Laos",
  "lv":"Latvia",
  "lb":"Lebanon",
  "ls":"Lesotho",
  "lr":"Liberia",
  "ly":"Libya",
  "li":"Liechtenstein",
  "lt":"Lithuania",
  "lu":"Luxembourg",
  "mo":"Macau",
  "mk":"Macedonia",
  "mg":"Madagascar",
  "mw":"Malawi",
  "my":"Malaysia",
  "mv":"Maldives",
  "ml":"Mali",
  "mt":"Malta",
  "mh":"Marshall Islands",
  "mq":"Martinique",
  "mr":"Mauritania",
  "mu":"Mauritius",
  "yt":"Mayotte",
  "mx":"Mexico",
  "fm":"Micronesia",
  "md":"Moldova",
  "mc":"Monaco",
  "mn":"Mongolia",
  "me":"Montenegro",
  "ms":"Montserrat",
  "ma":"Morocco",
  "mz":"Mozambique",
  "mm":"Myanmar",
  "na":"Namibia",
  "nr":"Nauru",
  "np":"Nepal",
  "nl":"Netherlands",
  "an":"Netherlands Antilles",
  "nc":"New Caledonia",
  "nz":"New Zealand",
  "ni":"Nicaragua",
  "ne":"Niger",
  "ng":"Nigeria",
  "nu":"Niue",
  "nf":"Norfolk Island",
  "mp":"Northern Mariana Islands",
  "no":"Norway",
  "om":"Oman",
  "pk":"Pakistan",
  "pw":"Palau",
  "ps":"Palestine",
  "pa":"Panama",
  "pg":"Papua New Guinea",
  "py":"Paraguay",
  "pe":"Peru",
  "ph":"Philippines",
  "pn":"Pitcairn",
  "pl":"Poland",
  "pt":"Portugal",
  "pr":"Puerto Rico",
  "qa":"Qatar",
  "re":"Reunion",
  "ro":"Romania",
  "ru":"Russian Federation",
  "rw":"Rwanda",
  "bl":"Saint Barthelemy",
  "sh":"Saint Helena",
  "kn":"Saint Kitts and Nevis",
  "lc":"Saint Lucia",
  "mf":"Saint Martin (French part)",
  "pm":"Saint Pierre and Miquelon",
  "vc":"Saint Vincent and the Grenadines",
  "ws":"Samoa",
  "sm":"San Marino",
  "st":"Sao Tome and Principe",
  "sa":"Saudi Arabia",
  "sn":"Senegal",
  "rs":"Serbia",
  "sc":"Seychelles",
  "sl":"Sierra Leone",
  "sg":"Singapore",
  "sk":"Slovakia",
  "si":"Slovenia",
  "sb":"Solomon Islands",
  "so":"Somalia",
  "za":"South Africa",
  "gs":"South Georgia and South Sandwich Islands",
  "es":"Spain",
  "lk":"Sri Lanka",
  "sd":"Sudan",
  "sr":"Suriname",
  "sj":"Svalbard and Jan Mayen Islands",
  "sz":"Swaziland",
  "se":"Sweden",
  "ch":"Switzerland",
  "sy":"Syria",
  "tw":"Taiwan",
  "tj":"Tajikistan",
  "tz":"Tanzania",
  "th":"Thailand",
  "tl":"Timor-Leste",
  "tg":"Togo",
  "tk":"Tokelau",
  "to":"Tonga",
  "tt":"Trinidad and Tobago",
  "tn":"Tunisia",
  "tr":"Turkey",
  "tm":"Turkmenistan",
  "tc":"Turks and Caicos Islands",
  "tv":"Tuvalu",
  "ug":"Uganda",
  "ua":"Ukraine",
  "ae":"United Arab Emirates",
  "gb":"United Kingdom",
  "uk":"United Kingdom",
  "um":"United States Minor Outlying Islands",
  "us":"United States of America",
  "uy":"Uruguay",
  "uz":"Uzbekistan",
  "vu":"Vanuatu",
  "va":"Vatican City",
  "ve":"Venezuela",
  "vn":"Vietnam",
  "vg":"Virgin Islands, British",
  "vi":"Virgin Islands, U.S.",
  "wf":"Wallis and Futuna Islands",
  "eh":"Western Sahara",
  "ye":"Yemen",
  "zm":"Zambia",
  "zw":"Zimbabwe",

  "a1":"Unknown",
  "a2":"Satellite Provider",
  "eu":"European Union",
  "i0":"Local Network Host",
  "localhost":"Localhost",

  "aero":"Aero/Travel domains",
  "arpa":"Old style Arpanet",
  "com" :"Commercial",
  "edu" :"USA Educational",
  "info":"Info Domains",
  "mil" :"USA Military",
  "name":"Name domains",
  "nato":"NATO",
  "net" :"Network",
  "org" :"Non-Profit Organisations"
}

var gc_aFiletypeDesc = { "asp"  : "Active Server Page",
                         "cfm"  : "Coldfusion script",
                         "cgi"  : "CGI script",
                         "css"  : "Cascading Style Sheet",
                         "flv"  : "Flash Video file",
                         "gif"  : "Image",
                         "gz"   : "File Archive",
                         "htm"  : "HTML or XML static page",
                         "html" : "HTML or XML static page",
                         "ico"  : "Icon",
                         "jpeg" : "Image",
                         "jpg"  : "Image",
                         "js"   : "JavaScript File",
                         "jsp"  : "JavaServer Page",
                         "m4a"  : "MPEG-4 Audio File",
                         "mov"  : "QuickTime Movie",
                         "mp3"  : "MPEG-1 Audio Layer 3 file",
                         "pdf"  : "Adobe Portable Document Format file",
                         "php"  : "PHP script",
                         "pl"   : "Perl script",
                         "png"  : "Image",
                         "ppt"  : "Microsoft PowerPoint file",
                         "swf"  : "Adobe Flash file",
                         "tar"  : "File Archive",
                         "txt"  : "Text file",
                         "wav"  : "Waveform Audio file",
                         "xml"  : "XML file",
                         "zip"  : "File Archive" };

var gc_aOSFamily = [ { sOperatingSystem:"bsd", iHits:0 },
                     { sOperatingSystem:"linux", iHits:0 },
                     { sOperatingSystem:"mac", iHits:0 },
                     { sOperatingSystem:"psp", iHits:0 },
                     { sOperatingSystem:"sun", iHits:0 },
                     { sOperatingSystem:"symbian", iHits:0 },
                     { sOperatingSystem:"win", iHits:0 },
                     { sOperatingSystem:"Unknown", iHits:0 },
                     { sOperatingSystem:"Other OS", iHits:0 } ]
var gc_aOSFamilyCaption = { "bsd":"BSD", "linux":"Linux", "mac":"Apple", "psp":"PSP", "sun":"Sun", "symbian":"Symbian", "win":"Windows", "Unknown":"Unknown", "Other OS":"Other OS" }
var gc_aSearchEngines = [ { sCode:"alexa", sName:"Alexa", sImage:"alexa", sURL:"<a href=\"http://www.alexa.com/\" target=\"_blank\">Alexa</a>" },
                          { sCode:"aliceit", sName:"Alice", sImage:"alice", sURL:"<a href=\"http://www.alice.it/\" target=\"_blank\">Alice</a>" },
                          { sCode:"alltheweb", sName:"All The Web", sImage:"alltheweb", sURL:"<a href=\"http://www.alltheweb.com/\" target=\"_blank\">All The Web</a>" },
                          { sCode:"altavista", sName:"AltaVista", sImage:"altavista", sURL:"<a href=\"http://www.altavista.com/\" target=\"_blank\">AltaVista</a>" },
                          { sCode:"aol", sName:"AOL", sImage:"aol", sURL:"<a href=\"http://www.aol.com/\" target=\"_blank\">AOL</a>" },
                          { sCode:"ask", sName:"Ask", sImage:"ask", sURL:"<a href=\"http://www.ask.com/\" target=\"_blank\">Ask</a>" },
                          { sCode:"att", sName:"AT&amp;T", sImage:"yahoo", sURL:"<a href=\"http://att.my.yahoo.com/\" target=\"_blank\">AT&amp;T</a>" },
                          { sCode:"avantfind", sName:"AvantFind", sImage:"avantfind", sURL:"<a href=\"http://www.avantfind.com/\" target=\"_blank\">AvantFind</a>" },
                          { sCode:"blingo", sName:"Blingo", sImage:"blingo", sURL:"<a href=\"http://www.blingo.com/\" target=\"_blank\">Blingo</a>" },
                          { sCode:"bluewin", sName:"Bluewin", sImage:"bluewin", sURL:"<a href=\"http://www.bluewin.com/\" target=\"_blank\">Bluewin</a>" },
                          { sCode:"clusty", sName:"Clusty", sImage:"clusty", sURL:"<a href=\"http://www.clusty.com/\" target=\"_blank\">Clusty</a>" },
                          { sCode:"delicious", sName:"del.icio.us", sImage:"delicious", sURL:"<a href=\"http://del.icio.us/\" target=\"_blank\">del.icio.us</a>" },
                          { sCode:"enirose", sName:"Eniro", sImage:"eniro", sURL:"<a href=\"http://www.eniro.se/\" target=\"_blank\">Eniro</a>" },
                          { sCode:"dogpile", sName:"Dogpile", sImage:"dogpile", sURL:"<a href=\"http://www.dogpile.com/\" target=\"_blank\">Dogpile</a>" },
                          { sCode:"earthlink", sName:"EarthLink", sImage:"earthlink", sURL:"<a href=\"http://www.earthlink.com/\" target=\"_blank\">EarthLink</a>" },
                          { sCode:"excite", sName:"Excite", sImage:"excite", sURL:"<a href=\"http://www.excite.com/\" target=\"_blank\">Excite</a>" },
                          { sCode:"goodsearch", sName:"GoodSearch", sImage:"goodsearch", sURL:"<a href=\"http://www.goodsearch.com/\" target=\"_blank\">GoodSearch</a>" },
                          { sCode:"google", sName:"Google", sImage:"google", sURL:"<a href=\"http://www.google.com/\" target=\"_blank\">Google</a>" },
                          { sCode:"google_cache", sName:"Google Cache", sImage:"google", sURL:"<a href=\"http://www.google.com/\" target=\"_blank\">Google Cache</a>" },
                          { sCode:"google_image", sName:"Google Images", sImage:"google", sURL:"<a href=\"http://images.google.com/\" target=\"_blank\">Google Images</a>" },
                          { sCode:"infospace", sName:"InfoSpace", sImage:"infospace", sURL:"<a href=\"http://www.infospaceinc.com/\" target=\"_blank\">InfoSpace</a>" },
                          { sCode:"kvasir", sName:"Kvasir", sImage:"kvasir", sURL:"<a href=\"http://www.kvasir.no/\" target=\"_blank\">Kvasir</a>" },
                          { sCode:"live", sName:"Windows Live", sImage:"live", sURL:"<a href=\"http://www.live.com/\" target=\"_blank\">Windows Live</a>" },
                          { sCode:"lycos", sName:"Lycos", sImage:"lycos", sURL:"<a href=\"http://www.lycos.com/\" target=\"_blank\">Lycos</a>" },
                          { sCode:"mamma", sName:"Mamma", sImage:"mamma", sURL:"<a href=\"http://www.mamma.com/\" target=\"_blank\">Mamma</a>" },
                          { sCode:"msn", sName:"MSN", sImage:"msn", sURL:"<a href=\"http://www.msn.com/\" target=\"_blank\">MSN</a>" },
                          { sCode:"mywebsearch", sName:"My Web Search", sImage:"mywebsearch", sURL:"<a href=\"http://www.mywebsearch.com/\" target=\"_blank\">My Web Search</a>" },
                          { sCode:"netscape", sName:"Netscape", sImage:"aol", sURL:"<a href=\"http://netscape.aol.com/\" target=\"_blank\">Netscape</a>" },
                          { sCode:"sapo", sName:"Sapo", sImage:"sapo", sURL:"<a href=\"http://www.sapo.pt/\" target=\"_blank\">Sapo</a>" },
                          { sCode:"search", sName:"Search.com", sImage:"search", sURL:"<a href=\"http://www.search.com/\" target=\"_blank\">Search.com</a>" },
                          { sCode:"search.com", sName:"Search.com", sImage:"search", sURL:"<a href=\"http://www.search.com/\" target=\"_blank\">Search.com</a>" },
                          { sCode:"seznam", sName:"Seznam", sImage:"seznam", sURL:"<a href=\"http://www.seznam.cz/\" target=\"_blank\">Seznam</a>" },
                          { sCode:"steadysearch", sName:"SteadySearch", sImage:"steadysearch", sURL:"<a href=\"http://www.steadysearch.com/\" target=\"_blank\">SteadySearch</a>" },
                          { sCode:"stumbleupon", sName:"StumbleUpon", sImage:"stumbleupon", sURL:"<a href=\"http://www.stumbleupon.com/\" target=\"_blank\">StumbleUpon</a>" },
                          { sCode:"tiscali", sName:"Tiscali", sImage:"tiscali", sURL:"<a href=\"http://www.tiscali.it/\" target=\"_blank\">Tiscali</a>" },
                          { sCode:"vivisimo", sName:"Vivisimo", sImage:"vivisimo", sURL:"<a href=\"http://www.vivisimo.com/\" target=\"_blank\">Vivisimo</a>" },
                          { sCode:"voila", sName:"Voila", sImage:"voila", sURL:"<a href=\"http://www.voila.fr/\" target=\"_blank\">Voila</a>" },
                          { sCode:"webcrawler", sName:"WebCrawler", sImage:"webcrawler", sURL:"<a href=\"http://www.webcrawler.com/\" target=\"_blank\">WebCrawler</a>" },
                          { sCode:"webde", sName:"Web.de", sImage:"webde", sURL:"<a href=\"http://web.de/\" target=\"_blank\">Web.de</a>" },
                          { sCode:"yahoo", sName:"Yahoo!", sImage:"yahoo", sURL:"<a href=\"http://www.yahoo.com/\" target=\"_blank\">Yahoo!</a>" } ];

var gc_aHTTPStatus = { "206"  : "Partial Content",
                       "301"  : "Moved Permanently (redirect)",
                       "307"  : "Moved Temporarily (redirect)",
                       "400"  : "Bad Request",
                       "401"  : "Unauthorized",
                       "403"  : "Forbidden",
                       "404"  : "File Not Found",
                       "503"  : "Service Unavailable" };

var gc_aDayName = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
var gc_aMonthName = ["January","February","March","April","May","June","July","August","September","October","November","December"];